#C This is a period 495 c/3 spaceship.
#C This is the first in a series of spaceships with odd periods.
#C This works using several period 45 rakes and a loop of LWSS's and boats.
#C All periods of the form 45 * (3N + 1) or 45 * (3N + 2) can be
#C obtained by modification as described below.
#C
#C In this spaceship, there are two LWSS's (or boats) traveling in the loop
#C at any time.  Removing one of them produces the "base" spaceship having
#C the period 990.  This base period is the important number used to calculate
#C and construct the next spaceship in the series.
#C
#C To create the next spaceship in the series, you need to do the following
#C painful steps.  Delete all LWSS's and boats except for the single LWSS
#C directly behind the top period 45 c/3 spaceship.  Move that front c/3
#C spaceship and it's LWSS upwards by 30 cells.  Doing this will increase
#C the period of the base spaceship by 270 generations.  In this example,
#C the new period will become 990+270 = 1260.  Then divide out all factors
#C of two from the period.  Here, this becomes 1260/4 = 315.  This period
#C will become the period of the next spaceship in the series, and the number
#C of LWSS's and boats in that ship will be the quotient, in this case 4.
#C Now to actually create the new spaceship, remember the position of the
#C original LWSS, and run the new base spaceship the number of generations
#C indicated for the next odd period spaceship (e.g., 315).  Insert another
#C LWSS behind the front c/3 spaceship in the same position as the original
#C LWSS.  Continue running and inserting until the loop is fully populated.
#C You may also have to run a few more cycles in order to make the "tail" of
#C blinkers and loafs stabilize.  Then you have the new odd period spaceship.
#C Note that for the first two adjustments, the top period 45 backwards rakes
#C have to be moved outwards to make room for the moved period 45 ship.  
#C This is a snaller version of a previous period 495 spaceship.
#C 
#C David I. Bell, November 2002
x = 278, y = 375
205bo$204b3o$185boboo14bo3bo14boobo$72bo111boobooboobo10b3o10bobooboob
oo$71b3o109bobbobobooboo8b5o8booboobobobbo$52boboo14bo3bo14boobo91bo6b
o5bo4boo3boo4bo5bo6bo$51boobooboobo10b3o10boboobooboo98bo3b4obo7bob4o
3bo$50bobbobobooboo8b5o8booboobobobbo101bo3b3obobob3o3bo$51bo6bo5bo4b
oo3boo4bo5bo6bo97boobobbo3boo5boo3bobboboo$59bo3b4obo7bob4o3bo104bo4bo
bbobobbooboobbobobbo4bo$63bo3b3obobob3o3bo107boobobo6boo5boo6boboboo$
58boobobbo3boo5boo3bobboboo100boobobo6booboboboboboo6boboboo$57bo4bobb
obobbooboobbobobbo4bo97boobo9bo3bobbobbo3bo9boboo$56boobobo6boo5boo6bo
boboo95bo3bo9boboboo3boobobo9bo3bo$54boobobo6booboboboboboo6boboboo94b
obo11bobobo3bobobo11bobo$52boobo9bo3bobbobbo3bo9boboo109bobobobo$51bo
3bo9boboboo3boobobo9bo3bo105bo11bo$52bobo11bobobo3bobobo11bobo104boobo
3bobo3boboo$69bobobobo124bo4bo4bo$66bo11bo121bobooboboobo$64boobo3bobo
3boboo118boobo5boboo$67bo4bo4bo120bobobo5bobobo$67bobooboboobo119boobo
bob3oboboboo$66boobo5boboo121bobo5bobo$65bobobo5bobobo117booboboo3boob
oboo$64boobobob3oboboboo95boboo24b3o24boobo$67bobo5bobo94b3obooboboo
18b9o18booboboob3o$64booboboo3booboboo90bo6boobb4o15boo5boo15b4obboo6b
o$43boboo24b3o24boobo70boo3bo3bo4bo12boo9boo12bo4bo3bo3boo$39b3oboobob
oo18b9o18booboboob3o78b3o5boo9bobobo9boo5b3o$38bo6boobb4o15boo5boo15b
4obboo6bo83boboo5bobboo3boobbo5boobo$39boo3bo3bo4bo12boo9boo12bo4bo3bo
3boo81boboo3boo19boo3boobo$51b3o5boo9bobobo9boo5b3o92booboobobobo4bob
5obo4bobobobooboo$57boboo5bobboo3boobbo5boobo98boobo4bob3ob11ob3obo4bo
boo$54boboo3boo19boo3boobo99boobo3bob13obo3boboo7bo$53booboobobobo4bob
5obo4bobobobooboo105bo15bo13boo$53boobo4bob3ob11ob3obo4boboo106bo13bo
12boobo$49bo7boobo3bob13obo3boboo112bo3b3o3bo16bobbo$49boo13bo15bo121b
o5bo9boob3o6boo$49boboo12bo13bo120bobobbobbobo7boo3boobb3oboobb3o$47bo
bbo21bo126bobbooboboobbo6b4o5bo4b3obobo$46boo6b3oboo7bo9bo123bo3bo3bo
11bobobboo4bo4bo$40b3obboob3obboo3boo8bo7bo143bobbo9boo$39bobob3o4bo5b
4o6bo3bo3bo3bo118boboo9boobo4boobbo$40bo4bo4boobbobo9b3obb3obb3o118bob
o11bobo3b4o16b3obo$43boo9bobbo9bo3bobo3bo120b3o9b3o4bo3boobb3oboob3ob
oo4bo6bo$55bobboo10bo3bo125bo9bo6bob6o4boobob4obobboo4b4o$36bob3o16b4o
8bo5bo122boo11boo4boo5bobo3bobo3bob4obboobo3boo$28bo6bo4boob3oboob3obb
oo3bo5bobbo5bobbo119boo11boo4b5ob3o8bo9b4obo3bo$26b4o4boobbob4oboboo4b
6obo5bobbobobobobbo140bo3bobbo22bo$25boo3boboobb4obo3bobo3bobo5boo5bo
3bo3bo3bo122bobbobobbo14booboo14bo4bo$24bo3bob4o9bo8b3ob5o9bo3bo126bo
7bo11b3obbo17bo$28bo22bobbo3bo12bobo127bo7bo13b4o$29bo4bo14booboo18bo
120bo9bo3bo$33bo17bobb3o135bobo9b3o$51b4o137bobo$83bo$81booboo$78boob
oo119boo$74boo5boo119boo$74boo5bo$80boo$199boo19bo3bo$77boo119bobbo15b
oboboob3o$76bobbo118bobo15bobbo6booboo$53bo3bo19bobo119bo11boobboobbo
3bobbobboo$51b3oboobobo17bo132booboboobbobbo4bobbo$47booboo6bobbo148bo
3bo4boo$47boobbobbo3bobboobboo143bobobobbobboo$46bobbo4bobbobbooboboo
5boo145bo7bo3bo$57boo4bo3bo7boo128boo4b3o10boboboob3o$56boobbobbobobo
3bob5o126bobboo14bobbo6booboo$46bo3bo7bo12bo3b4o125booboo9boobboobbo3b
obbobboo$44b3oboobobo10b3o4boo4b3o98boboo22booboo9booboboobbobbo4bobbo
$40booboo6bobbo122boobooboo14bo6bo10bo3bo4boo$40boobbobbo3bobboobboo
116bobbobobbo13b3o16bobobobbobboo$39bobbo4bobbobbooboboo36boobo77bo5b
oo4boo6b5o7boo15bo$50boo4bo3bo32boobooboo85booboo5boo3boo6b3o6b3o11bo$
49boobbobbobobo6bo9b3o13bobbobobbo84boo3bo3b3o3b3o4b3obo17b3ob3o$51bo
14bobo8bobo7boo4boo5bo85boo8boo3boo12boo12boo6bo$45bo11b3o9bo7bobo7boo
boo105b5o4b3o6boo7bo3bobbo3boo$41b3ob3o14b5obo9bo7bo3boo106b3o6booboo
4boboo3b4o$40bo6boo12bobboo24boo107bo6bo3b3o3bobbobbo3bo$41boo3bobbo3b
o7bo4boobo69bo66bo5boobb3o4bobobbo$51b4o6b3obbo3bo67bobo64bo11boo8bo$
51bo3bo11boobo51bo14bo3bo14bo50bo6bo$49bobbobo15bo47b3ob3o13b3o13b3ob
3o47bo5bo$50bo18b3o45bo6bob3o21b3obo6bo$65boobobbo46boo3bo5bo6boo3boo
6bo5bo3boo40boo11bo$65bobbobo4boo49b7o3boo3boo3b7o48boo7bo3bo$65booboo
5boo47bobboo3boobb3ob3obboo3boobbo56b3o$125boobo4boo9boo4boboo$131b4o
bbooboobb4o$123boob4o7booboo7b4oboo$122boboboo5boobob3oboboo5boobobo$
68bo50boobo10boobo5boboo10boboo$67bo51boobo9bobobo5bobobo9boboo$68bo
50bobo10bo3bo5bo3bo10bobo$138bobo$132bo3b3ob3o3bo32boob3o$71boo59bob5o
b5obo32boo4boo20bo$70bo4bo56bobo9bobo31bobbobo3bo11boobboobo$70bo5bo
16b3oboo35bobooboboobo40b3obb3o5b3obo3bo$70bobo3bo14boo4boo34boobob3ob
oboo41b3obobo5booboobobbo$71boboobo13bo3bobobbo34bobob3obobo42bo4bo9b
oobbobbo$71booboo9b3obb3o38booboboo3booboboo40boo16bobo$71b3o10bobob3o
40boobobo5boboboo$85bo4bo41bobobo5bobobo$88boo23bo21boo5boo21bo$106boo
b3ob3o20b7o20b3ob3oboo$106boo4bobbooboo19bo19booboobbo4boo$105bobboboo
3bobboo14bobobbobbobo14boobbo3boobobbo$117bobbo5bo6boobo5boboo6bo5bobb
o$121bobb4o5boo3bobo3boo5b4obbo$124bo3bo6boo5boo6bo3bo$119b3obboboboo
5b9o5boobobobb3o69bo$122bobbooboboo15booboboobbo71bobo$124boobo3boboo
9boobo3boboo57bo14bo3bo14bo$115b3o13bobob9obobo13b3o44b3ob3o13b3o13b3o
b3o$48bo69bo13b15o13bo46bo6bob3o21b3obo6bo$47b3o68boo14b4o3b4o14boo47b
oo3bo5bo6boo3boo6bo5bo3boo$28boboo14bo3bo14boobo44b3obboobboobo9bobb3o
bbo9boboobboobb3o50b7o3boo3boo3b7o$27boobooboobo10b3o10boboobooboo37b
oo4bo5boobooboo7b3o5b3o7boobooboo5bo4boo42bobboo3boobb3ob3obboo3boobbo
$26bobbobobooboo8b5o8booboobobobbo5bo30booboo4boobo3boobbo10b3o10bobb
oo3boboo4booboo43boobo4boo9boo4boboo$27bo6bo5bo4boo3boo4bo5bo6bo7boo
27bo3boo6b4o13boobbobboo13b4o6boo3bo25bobo20b4obbooboobb4o$35bo3b4obo
7bob4o3bo14boo32boo8boobobo10bo5bo10boboboo8boo29boo13boob4o7booboo7b
4oboo$39bo3b3obobob3o3bo65bo31bo43bo12boboboo5boobob3oboboo5boobobo$
34boobobbo3boo5boo3bobboboo43bo18boo25boo18bo36boobo10boobo5boboo10bob
oo$33bo4bobbobobbooboobbobobbo4bo38b3oboo3bo3boboo4bobboo23boobbo4boob
o3bo3boob3o32boobo9bobobo5bobobo9boboo$32boobobo6boo5boo6boboboo29b3o
3bobb3obobooboobooboboob3o27b3obooboboobooboobob3obbo3b3o24bobo10bo3bo
5bo3bo10bobo$30boobobo6booboboboboboo6boboboo25boobobobbo9bo6boobo5bo
bbo19bobbo5boboo6bo9bobboboboo41bobo$28boobo9bo3bobbobbo3bo9boboo22bo
3bobobbobo3bobbobo3b3o3bob4obo21bob4obo3b3o3bobobbo3bobobbobo3bo34bo3b
3ob3o3bo$27bo3bo9boboboo3boobobo9bo3bo22bobobbobboo4bo10boobb3o31b3obb
oo10bo4boobbobbobo35bob5ob5obo$28bobo11bobobo3bobobo11bobo27b5o16bo4b
oo31boo4bo16b5o39bobo9bobo$45bobobobo46boo17boboobo33boboobo17boo43bob
ooboboobo$42bo11bo168boobob3oboboo$40boobo3bobo3boboo61bobbo35bobbo63b
obob3obobo$43bo4bo4bo64bobbo35bobbo60booboboo3booboboo$43bobooboboobo
167boobobo5boboboo$42boobo5boboo167bobobo5bobobo$41bobobo5bobobo147bo
21boo5boo21bo$40boobobob3oboboboo139boob3ob3o20b7o20b3ob3oboo$43bobo5b
obo142boo4bobbooboo19bo19booboobbo4boo$40booboboo3booboboo138bobboboo
3bobboo14bobobbobbobo14boobbo3boobobbo$19boboo24b3o24boobo129bobbo5bo
6boobo5boboo6bo5bobbo$15b3obooboboo18b9o18booboboob3o129bobb4o5boo3bob
o3boo5b4obbo$14bo6boobb4o15boo5boo15b4obboo6bo131bo3bo6boo5boo6bo3bo$
15boo3bo3bo4bo12boo9boo12bo4bo3bo3boo127b3obboboboo5b9o5boobobobb3o$
27b3o5boo9bobobo9boo5b3o142bobbooboboo15booboboobbo$33boboo5bobboo3boo
bbo5boobo24bo125boobo3boboo9boobo3boboo$30boboo3boo19boo3boobo22bo97bo
33bobob9obobo13b3o$29booboobobobo4bob5obo4bobobobooboo19b3o97bobo32b
15o13bo$29boobo4bob3ob11ob3obo4boboo119boo35b4o3b4o14boo$25bo7boobo3bo
b13obo3boboo165bo13boboobboobb3o$25boo13bo15bo170booboo10boobooboo5bo
4boo$25boboo12bo13bo169boo5boo7bobboo3boboo4booboo$23bobbo199bo5bo14b
4o6boo3bo$22boo6b3oboo8b9o173bob3obo10boboboo8boo$16b3obboob3obboo3boo
187b3o7b3o9bo$15bobob3o4bo5b4o9boo3boo171boo9boo6boo18bo$16bo4bo4boobb
obo15bo173bobo9bobo4boobbo4boobo3bo3boob3o$19boo9bobbo9bo9bo169bo11bo
7b3obooboboobooboobob3obbo3b3o$31bobboo7bo9bo170boo7boo4bobbo5boboo6bo
9bobboboboo$12bob3o16b4o5bo3bobobo3bo167bobo9bobo3bob4obo3b3o3bobobbo
3bobobbobo3bo$4bo6bo4boob3oboob3obboo3bo5bo4bobo4bo167boo11boo8b3obboo
10bo4boobbobbobo$bb4o4boobbob4oboboo4b6obo4bo4bo3bo4bo189boo4bo16b5o$b
oo3boboobb4obo3bobo3bobo5boo4b5o5b5o169bo7bo12boboobo17boo$o3bob4o9bo
8b3ob5o188boo5boo$4bo22bobbo3bo191booboboo14bobbo$5bo4bo14booboo187bo
9booboo15bobbo$9bo17bobb3o7b3o11b3o160bo$27b4o14bo5bo176b3o$44boo5boo$
42bo3bobobo3bo83b3o$42bobbo5bobbo83bobbo84boo$42bo3bobobo3bo83bo87boo$
43bobo5bobo44bobo37bo38bo$44boo5boo46boo38bobo33boo$99bo76boo45boo18b
3ob3o$222bobbo14b4obo4boobo$50boo170bobo11bo3boo3boobo3b3o$29bo3bo16b
oo171bo11b4o5boobo3bo3bo$27b3oboobobo197bo3bobo3bo9bo$23booboo6bobbo
196bobobobo3bo$23boobbobbo3bobboobboo10boo180b3o4bobo$22bobbo4bobbobb
ooboboo9bobbo174bo5bo13b3ob3o$33boo4bo3bo9bobo173b3o15b4obo4boobo$32b
oobbobbobobo10bo173b5o10bo3boo3boobo3b3o$22bo3bo7bo11b3o156bo21boo3boo
8b4o5boobo3bo3bo$20b3oboobobo10b3o158b3ob3o15bo4b5o8bo3bobo3bo9bo$16b
ooboo6bobbo14bo3boo149bo6boo13b3o4b3o9bobobobo3bo$16boobbobbo3bobboobb
oo6bobb3o3bobo147boo3bobbo3bo7b5o4bo11b3o4bobo$15bobbo4bobbobbooboboo
5boobo6bobo18boobo135b4o5bo5bo16bo$26boo4bo3bo7bo10bo13boobooboo134bo
3bo3boobbobboo27b3oboo$25boobbobbobobo4bobbo4b3o3bo13bobbobobbo131bobb
obo3b3obobob3o24boo4boo$27bo13bo9bo3bo7boo4boo5bo133bo8boobbobboo3b3o
18bo3bobobbo$21bo11b3o7bo8bo10booboo152bo5bo4b3o5b3o5b3obb3o$17b3ob3o
39bobboo153b5o6boboo3b5obbobob3o$16bo6boo22bo11bo6boo154b3o4b3oboobb4o
bboobbo4bo$17boo3bobbo3bo18bo9bo164bo5b3o4boobboboo6boo$27b4o15bobbo7b
oo170boo5boo3bo$27bo3bo15boo9boo$25bo33bo51bo53bo$26bo3bo14bo8bo54bobo
52bo$35bo7booboo5bobo54boo52b3o58boo$41bo6bo4bobo157bo11boo8bo$35b3o3b
oboobboo5bo156b4o$35boo170booboo3bo19b3o$35bo171boobbo3bo$63boo141bobb
o7bo$51boo10booboo149bo$51boo9bobobb4o141boobo$61bo4bo4bo140boo$61bo7b
oo141bobo$61bo153boo$63b3o147b3o$66bo140bo3boobbo14bo$62boobo140b3o3b
oo9boboobbobo$61bo143bo3bobbobo6booboboo4bo11b3oboo$64boo140bobobobo
10bo18boo4boo$62bo3bobb3o140bo12b3o4bo8bo3bobobbo$32bo16boo12bo5b3o
139boo13b7o3b3obb3o$28b3ob3o13b3o4boo8bobbo3bo139bo22bobob3o$27bo6boo
10bobobbo3bobo7bobbo143bo23bo4bo$28boo3bobbo3bo6bo7boboo5boo173boo$38b
4o8b3o3boo6b3o$38bo3bobboo3b3o3bo7boo$36bobbobobbobbo3boo$37bo6b3obob
oo69bo$48boboo70boo29bobo53bo$48boo71boo30boo53boo$154bo53bobo$$197boo
$69b3o125bobo$71bo125bo$70bo$81bo104boo$81boo102boo$80bobo104bo$$92boo
80b3o$91bobo80bo$93bo81bo$164bo$103boo58boo26bo$104boo57bobo24b3o$103b
o67boboo14bo3bo14boobo$152boo16boobooboobo10b3o10boboobooboo$114b3o35b
obo14bobbobobooboo8b5o8booboobobobbo$116bo35bo17bo6bo5bo4boo3boo4bo5bo
6bo$115bo62bo3b4obo7bob4o3bo$126bo14boo39bo3b3obobob3o3bo$126boo12boo
35boobobbo3boo5boo3bobboboo$125bobo5bo8bo33bo4bobbobobbooboobbobobbo4b
o$134bo40boobobo6boo5boo6boboboo$132b3obboo34boobobo6booboboboboboo6bo
boboo$136bobo32boobo9bo3bobbobbo3bo9boboo$138bo31bo3bo9boboboo3boobobo
9bo3bo$171bobo11bobobo3bobobo11bobo$188bobobobo$185bo11bo$146boo35boob
o3bobo3boboo$146booboo35bo4bo4bo$145bobobb4o32bobooboboobo$144bo4bo4bo
30boobo5boboo$139bo4bo7boo30bobobo5bobobo$139bo4bo38boobobob3oboboboo$
139bo6b3o37bobo5bobo$133boo14bo33booboboo3booboboo$132bobbo9boobo13bob
oo24b3o24boobo$133bobo8bo13b3obooboboo18b9o18booboboob3o$134bo12boo8bo
6boobb4o15boo5boo15b4obboo6bo$145bo3bobb3o3boo3bo3bo4bo12boo9boo12bo4b
o3bo3boo$146bo5b3o15b3o5boo9bobobo9boo5b3o$148bobbo3bo20boboo5bobboo3b
oobbo5boobo$148bobbo21boboo3boo19boo3boobo$147boo23booboobobobo4bob5ob
o4bobobobooboo$147b3o22boobo4bob3ob11ob3obo4boboo$147boo27boobo3bob13o
bo3boboo7bo$183bo15bo13boo$184bo13bo12boobo$138b3o50bo21bobbo$190b3o
11boob3o6boo$133boo51bob7obo7boo3boobb3oboobb3o$132bobbo50bobooboboobo
7b4o5bo4b3obobo$133bobo71bobobboo4bo4bo$134bo71bobbo9boo$204boobbo$
203b4o16b3obo$203bo3boobb3oboob3oboo4bo6bo$184bo13bo4bob6o4boobob4obo
bboo4b4o$183boo13b3obboo5bobo3bobo3bob4obboobo3boo$183bobo11boboobb5ob
3o8bo9b4obo3bo$184b3o9b3o6bo3bobbo22bo$184bo13bo11booboo14bo4bo$139bo
47bo7bo11b3obbo17bo$139bo44bobo9bobo10b4o$139bo45bo11bo$133boo$132bobb
o53booboo$133bobo54bobo$134bo55bobo$190bobo$187bo7bo$187bobo4bo$187bo
bbo3bo$187boboo15bo3bo$187bobbo12boboboob3o$188boo12bobbo6booboo$197b
oobboobbo3bobbobboo$197booboboobbobbo4bobbo$138b3o44boo9bo3bo4boo$184b
obbo8bobobobbobboo$133boo49bobo18bo7bo3bo$132bobbo49bo11b3o10boboboob
3o$133bobo73bobbo6booboo$134bo69boobboobbo3bobbobboo$164boboo36boobob
oobbobbo4bobbo$163boobooboo15boob3o5bo5bo3bo4boo$162bobbobobbo15boo3bo
5boo4bobobobbobboo$163bo5boo4boo7b3o10bobo12bo$172booboo6bo3booboo6boo
4b3o11bo$172boo3bo6booboobo25b3ob3o$172boo15bo25boo6bo$210bo3bobbo3boo
$139bo41b3o25b4o$139bo39bo3boo23bo3bo$139bo39bobobboo23bobobbo$133boo
43bo5bo28bo$132bobbo43bobb3o9bo$133bobo43bo3b3o7bo$134bo49bobo6bo10bo$
184bobo4b3o9boboo$185bo4bobbo11boo$175boo14boo11b3o$172booboo$169b4obb
obo$168bo4bo4bo8boo$169boo7bo8boo$178bo$174b3o$138b3o32bo$174boboo$
133boo43bo$132bobbo38boo$133bobo32b3obbo3bo$134bo33b3o5bo30bo$167bo3bo
bbo30b3ob3o$171bobbo11bobo15boo6bo$174boo4b4obo4bobo6bo3bobbo3boo$173b
3o3b7o4b3o5b4o$174boobboo3bobo7bo3bo3bo$179bo10b3o5bobobbo$180bo6bobb
3o9bo$185b3o$139bo45bo4b6o$125boo12bo48b4o4bo$122booboo12bo55boo$119b
4obbobo5boo53bo$118bo4bo4bo3bobbo31boo20b4o$119boo7bo4bobo31bobo$128bo
5bo32bo$124b3o$123bo32boo$124boboo27boo$128bo28bo$124boo$118b3obbo3bo
16b3o$118b3o5bo17bo$117bo3bobbo20bo$121bobbo$124boo$123b3o$124boo!
